## kubuntu-installer-prompt 24.04.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kubuntu-installer-prompt VERSION 1.1.2 LANGUAGES CXX)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_INSTALL_PREFIX "/usr")

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Widgets Network LinguistTools)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Network LinguistTools)
find_package(KF5 REQUIRED COMPONENTS NetworkManagerQt WidgetsAddons)

file(GLOB TS_FILES "src/translations/kubuntu-installer-prompt_*.ts")

set(PROJECT_SOURCES
    src/main.cpp
    src/installerprompt.cpp
    src/installerprompt.h
    src/installerprompt.ui
    src/backgroundscreen.h
    src/backgroundscreen.cpp
    src/resource.qrc
    src/wifipassworddialog.h
    src/wifipassworddialog.cpp
    src/wifipassworddialog.ui
    src/languagechangedialog.h
    src/languagechangedialog.cpp
    src/languagechangedialog.ui
    src/warningdialog.h
    src/warningdialog.cpp
    src/warningdialog.ui
    src/connectionprogressdialog.h
    src/connectionprogressdialog.cpp
    src/connectionprogressdialog.ui
)

set(TRANSLATION_RESOURCES "src/translations.qrc")

configure_file(${TRANSLATION_RESOURCES} translations.qrc COPYONLY)
qt5_add_translation(QM_FILES ${TS_FILES})
qt5_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)

add_custom_target(translations ALL DEPENDS ${QM_FILES})

add_executable(kubuntu-installer-prompt
    ${PROJECT_SOURCES}
    ${QM_RESOURCES}
)

add_dependencies(kubuntu-installer-prompt translations)

target_link_libraries(kubuntu-installer-prompt PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt5::Network KF5::NetworkManagerQt KF5::WidgetsAddons)

install(TARGETS kubuntu-installer-prompt
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)
install(PROGRAMS "scripts/change-system-language" DESTINATION libexec)
install(PROGRAMS "scripts/start-kubuntu-live-env" DESTINATION libexec)
install(FILES "kubuntu-live-environment.desktop" DESTINATION share/xsessions)

if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(kubuntu-installer-prompt)
endif()

## kubuntu-installer-prompt 24.04.3

=== debian/changelog ===
kubuntu-installer-prompt (24.04.3) noble; urgency=medium

  * Fix several bugs related to connecting to a network.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 21 Feb 2024 12:53:17 -0600

kubuntu-installer-prompt (24.04.2) noble; urgency=medium

  * Fix some incorrect references to Lubuntu and LXQt.
  * Specify the license of the Kubuntu artwork properly.
  * Fix background scaling.
  * Update empty .ts files.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 18 Feb 2024 14:54:21 -0600

kubuntu-installer-prompt (24.04.1) noble; urgency=medium

  * Initial release (rebrand/revamp of lubuntu-installer-prompt).

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 08 Feb 2024 14:57:02 -0600

=== debian/control ===
Source: kubuntu-installer-prompt
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Aaron Rainbolt <arraybolt3@gmail.com>
Section: misc
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5networkmanagerqt-dev,
               libkf5widgetsaddons-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kubuntu-installer-prompt
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kubuntu-installer-prompt
Homepage: https://kubuntu.org
Rules-Requires-Root: no

Package: kubuntu-installer-prompt
Architecture: any
Depends: calamares-settings-kubuntu, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Live ISO prompt for trying or installing Kubuntu
 This application displays a screen allowing the user to either try or
 install Kubuntu after booting the Kubuntu ISO file. It auto-launches
 when the ISO is first booted, and will either launch Calamares or Plasma,
 depending on the user's choice.

## kubuntu-installer-prompt 24.04.10

=== debian/changelog ===
kubuntu-installer-prompt (24.04.10) noble; urgency=medium

  * Launch Calamares in OEM mode when "oem-config/enable=true" is passed as a
    boot parameter (LP: #2063291).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 24 Apr 2024 00:17:40 -0500

kubuntu-installer-prompt (24.04.9) noble; urgency=medium

  * Rebrand installer prompt. (LP: #2060845)
  * Add a dependency on a version of kubuntu-settings-desktop that has all
    needed fonts.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 18 Apr 2024 13:52:15 -0400

kubuntu-installer-prompt (24.04.8build2) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:43:52 +0200

kubuntu-installer-prompt (24.04.8build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:10:43 +0000

kubuntu-installer-prompt (24.04.8) noble; urgency=medium

  * Fix a race condition where a wired network connection could hang the
    installer prompt during startup.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 25 Mar 2024 01:49:32 +0000

kubuntu-installer-prompt (24.04.7) noble; urgency=medium

  * Add open WiFi support. (LP: #2056603)
  * Don't let the user close modal windows, so they don't confuse the
    installer and mess up their system.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 11 Mar 2024 18:26:43 -0500

kubuntu-installer-prompt (24.04.6) noble; urgency=medium

  * Get rid of d/source/options, it was causing the entire Git repo to get
    packaged into the source tarball.
  * Don't launch the installer prompt with `sudo -E`, it causes `~/.cache` to
    become owned by root.
  * Remove the obsolete fix for #2055726 from last upload, not using `sudo -E`
    to launch the prompt fixed the issue.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 04 Mar 2024 21:19:07 -0600

kubuntu-installer-prompt (24.04.5) noble; urgency=medium

  * Ensure /home/kubuntu/.cache is owned by UID 1000 before attempting to
    start Plasma. (LP: #2055726)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 01 Mar 2024 13:07:33 -0600

kubuntu-installer-prompt (24.04.4) noble; urgency=medium

  * Significant design improvements.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 27 Feb 2024 17:34:16 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
+               kubuntu-settings-desktop (>= 1:24.04.5),
                libkf5networkmanagerqt-dev,
                libkf5widgetsaddons-dev,
                qtbase5-dev,

## kubuntu-installer-prompt 24.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(kubuntu-installer-prompt VERSION 1.1.2 LANGUAGES CXX)
+project(lubuntu-installer-prompt VERSION 2.0.0 LANGUAGES CXX)
 
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
@@ -12,9 +12,8 @@
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Widgets Network LinguistTools)
-find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Network LinguistTools)
-find_package(KF5 REQUIRED COMPONENTS NetworkManagerQt WidgetsAddons)
+find_package(Qt6 REQUIRED COMPONENTS Core Widgets Network LinguistTools)
+find_package(KF6 REQUIRED COMPONENTS NetworkManagerQt)
 
 file(GLOB TS_FILES "src/translations/kubuntu-installer-prompt_*.ts")
 
@@ -43,8 +42,8 @@
 set(TRANSLATION_RESOURCES "src/translations.qrc")
 
 configure_file(${TRANSLATION_RESOURCES} translations.qrc COPYONLY)
-qt5_add_translation(QM_FILES ${TS_FILES})
-qt5_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
+qt_add_translation(QM_FILES ${TS_FILES})
+qt_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
 
 add_custom_target(translations ALL DEPENDS ${QM_FILES})
 
@@ -55,7 +54,7 @@
 
 add_dependencies(kubuntu-installer-prompt translations)
 
-target_link_libraries(kubuntu-installer-prompt PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt5::Network KF5::NetworkManagerQt KF5::WidgetsAddons)
+target_link_libraries(kubuntu-installer-prompt PRIVATE Qt6::Widgets Qt6::Network KF6::NetworkManagerQt)
 
 install(TARGETS kubuntu-installer-prompt
     BUNDLE DESTINATION .
@@ -66,6 +65,4 @@
 install(PROGRAMS "scripts/start-kubuntu-live-env" DESTINATION libexec)
 install(FILES "kubuntu-live-environment.desktop" DESTINATION share/xsessions)
 
-if(QT_VERSION_MAJOR EQUAL 6)
-    qt_finalize_executable(kubuntu-installer-prompt)
-endif()
+qt_finalize_executable(kubuntu-installer-prompt)

=== debian/changelog ===
kubuntu-installer-prompt (24.10.1) oracular; urgency=medium

  * Port to Qt6. (LP: #2083792)
  * Fix a weird horizontal line near the bottom of the screen. (LP: #2081229)
  * Fix a font rendering issue in window titles while on the installer prompt
    screen. (LP: #2083802)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 06 Oct 2024 19:58:54 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
                debhelper-compat (= 13),
                extra-cmake-modules,
                kubuntu-settings-desktop (>= 1:24.04.5),
-               libkf5networkmanagerqt-dev,
-               libkf5widgetsaddons-dev,
-               qtbase5-dev,
-               qttools5-dev
+               libkf6networkmanagerqt-dev,
+               qt6-base-dev,
+               qt6-tools-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kubuntu-installer-prompt
 Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kubuntu-installer-prompt

## kubuntu-installer-prompt 25.04.1

=== debian/changelog ===
kubuntu-installer-prompt (25.04.1) plucky; urgency=medium

  * Set keyboard layout when changing languages.
  * Port to Wayland.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 01 Dec 2024 17:47:01 -0600

## kubuntu-installer-prompt 25.04.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,6 +63,6 @@
 )
 install(PROGRAMS "scripts/change-system-language" DESTINATION libexec)
 install(PROGRAMS "scripts/start-kubuntu-live-env" DESTINATION libexec)
-install(FILES "kubuntu-live-environment.desktop" DESTINATION share/xsessions)
+install(FILES "kubuntu-live-environment.desktop" DESTINATION share/wayland-sessions)
 
 qt_finalize_executable(kubuntu-installer-prompt)

=== debian/changelog ===
kubuntu-installer-prompt (25.04.4) plucky; urgency=medium

  * Start kwin_wayland with '--no-lockscreen' to prevent the lockscreen
    activating in the direct non 'Try Kubuntu Desktop' install case.
    LP: (#2105440)

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Apr 2025 07:57:57 +0100

kubuntu-installer-prompt (25.04.3) plucky; urgency=medium

  * Make change-system-language use kwriteconfig6.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 30 Jan 2025 15:53:54 -0600

kubuntu-installer-prompt (25.04.2) plucky; urgency=medium

  * Ensure that kxkbrc is owned by kubuntu live session user.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jan 2025 13:17:49 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules,
                kubuntu-settings-desktop (>= 1:24.04.5),
+               libkf6config-bin,
                libkf6networkmanagerqt-dev,
                qt6-base-dev,
                qt6-tools-dev

## kubuntu-installer-prompt 25.10.1

=== debian/changelog ===
kubuntu-installer-prompt (25.10.1) questing; urgency=medium

  * Set Calamares environment variables explicitly since sudo no longer
    provides the -E option. (LP: #2124199)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 16 Sep 2025 11:06:15 -0500

## kubuntu-installer-prompt 25.10.2

=== debian/changelog ===
kubuntu-installer-prompt (25.10.2) questing; urgency=medium

  * Fix keyboard layout issues when launching Calamares with the "Install
    Kubuntu" button. (LP: #2124209)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 24 Sep 2025 16:17:14 -0500

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing
